<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h5>Edit Blocked Devices</h5>
      </div>
      <div class="ibox-content">
        <form [formGroup]="editForm" class="form-horizontal" (ngSubmit)="editBlockedDevice()">
          <div class="form-group"><label class="col-sm-2 control-label">Device id<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10"><input type="text" formControlName="deviceId" class="form-control"></div>
          </div>

          <div class="form-group"><label class="col-sm-2 control-label"></label>
            <div class="col-sm-10">
              <div *ngIf="editForm.controls['deviceId'].invalid && (editForm.controls['deviceId'].dirty || editForm.controls['deviceId'].touched)" >
                  <div *ngIf="editForm.controls['deviceId'].errors.required" class="alert alert-danger">
                    Device id is required.
                  </div>
                </div>
            </div>
          </div> 

          <div class="form-group"> <label class="col-sm-2 control-label">Date from<i aria-hidden="true" class="mandatory">*</i></label>
            <mat-form-field>
              <input matInput [matDatepicker]="picker" formControlName="Date_from" placeholder="Choose a date">
              <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
              <mat-datepicker #picker></mat-datepicker>
            </mat-form-field>
          </div>

          <div class="form-group"><label class="col-sm-2 control-label"></label>
            <div class="col-sm-10">
              <div *ngIf="editForm.controls['Date_from'].invalid && (editForm.controls['Date_from'].dirty || editForm.controls['Date_from'].touched)" >
                  <div *ngIf="editForm.controls['Date_from'].errors.required" class="alert alert-danger">
                    Date from is required.
                  </div>
                </div>
            </div>
          </div> 

          <div class="form-group"> <label class="col-sm-2 control-label">Date to<i aria-hidden="true" class="mandatory">*</i></label>
            <mat-form-field>
              <input matInput [matDatepicker]="picker1" formControlName="Date_to" placeholder="Choose a date">
              <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
              <mat-datepicker #picker1></mat-datepicker>
            </mat-form-field>
          </div>

          <div class="form-group"><label class="col-sm-2 control-label"></label>
            <div class="col-sm-10">
              <div *ngIf="editForm.controls['Date_to'].invalid && (editForm.controls['Date_to'].dirty || editForm.controls['Date_to'].touched)" >
                  <div *ngIf="editForm.controls['Date_to'].errors.required" class="alert alert-danger">
                    Date to is required.
                  </div>
                </div>
            </div>
          </div> 

          <div class="form-group"><label class="col-sm-2 control-label">Blocked notice<i aria-hidden="true" class="mandatory">*</i></label>
            <mat-form-field class="example-full-width">
              <textarea matInput placeholder="Leave a Reason for Blocking" formControlName="blocking_notice"></textarea>
            </mat-form-field>
          </div>

          <div class="form-group"><label class="col-sm-2 control-label"></label>
            <div class="col-sm-10">
              <div *ngIf="editForm.controls['blocking_notice'].invalid && (editForm.controls['blocking_notice'].dirty || editForm.controls['blocking_notice'].touched)" >
                  <div *ngIf="editForm.controls['blocking_notice'].errors.required" class="alert alert-danger">
                    Blocked notice is required.
                  </div>
                </div>
            </div>
          </div> 

          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <button class="btn btn-primary" type="submit" >Save changes</button>
              <button class="btn btn-white" type="button" [routerLink]="['/admin/fleet/blocked-devices']">Cancel</button>
              
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>